import request from '@/utils/request'

// 查询MemberRenwalConfig列表
export function listMemberRenwalConfig(query) {
    return request({
        url: '/api/v1/member-renwal-config',
        method: 'get',
        params: query
    })
}

// 查询MemberRenwalConfig详细
export function getMemberRenwalConfig (id) {
    return request({
        url: '/api/v1/member-renwal-config/' + id,
        method: 'get'
    })
}


// 新增MemberRenwalConfig
export function addMemberRenwalConfig(data) {
    return request({
        url: '/api/v1/member-renwal-config',
        method: 'post',
        data: data
    })
}

// 修改MemberRenwalConfig
export function updateMemberRenwalConfig(data) {
    return request({
        url: '/api/v1/member-renwal-config/'+data.id,
        method: 'put',
        data: data
    })
}

// 删除MemberRenwalConfig
export function delMemberRenwalConfig(data) {
    return request({
        url: '/api/v1/member-renwal-config',
        method: 'delete',
        data: data
    })
}

